{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "CAN_ID"; 
            externalType = NUMBER; 
            name = canId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CONV_ORDRE"; 
            externalType = NUMBER; 
            name = convOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ID_BS"; 
            externalType = VARCHAR2; 
            name = idBs; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LOLF_ID"; 
            externalType = NUMBER; 
            name = lolfId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ORG_ID"; 
            externalType = NUMBER; 
            name = orgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PAGE_ID"; 
            externalType = NUMBER; 
            name = pageId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PAGL_ID"; 
            externalType = NUMBER; 
            name = paglId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PAGL_PRINCIPALE"; 
            externalType = VARCHAR2; 
            name = paglPrincipale; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "PAGL_QUOTITE"; 
            externalType = NUMBER; 
            name = paglQuotite; 
            precision = 3; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID_CREATION"; 
            externalType = NUMBER; 
            name = persIdCreation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID_MODIFICATION"; 
            externalType = NUMBER; 
            name = persIdModification; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TCD_ORDRE"; 
            externalType = NUMBER; 
            name = tcdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        paglId, 
        pageId, 
        orgId, 
        tcdOrdre, 
        lolfId, 
        canId, 
        convOrdre, 
        idBs, 
        paglPrincipale, 
        persIdCreation, 
        persIdModification
    ); 
    className = "org.cocktail.kaki.server.metier.EOPafAgentLbud"; 
    classProperties = (
        paglQuotite, 
        pafAgent, 
        organ, 
        convention, 
        lolf, 
        typeCredit, 
        codeAnalytique, 
        idBs, 
        paglPrincipale, 
        dCreation, 
        dModification, 
        persIdCreation, 
        persIdModification
    ); 
    externalName = "jefy_paf.PAF_AGENT_LBUD"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            paglQuotite, 
            pafAgent, 
            organ, 
            convention, 
            lolf, 
            typeCredit, 
            codeAnalytique, 
            idBs, 
            paglPrincipale, 
            dCreation, 
            dModification, 
            persIdCreation, 
            persIdModification
        ); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOPafAgentLbud"; 
    }; 
    name = PafAgentLbud; 
    primaryKeyAttributes = (paglId); 
    relationships = (
        {
            destination = CodeAnalytique; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = canId; sourceAttribute = canId; }); 
            name = codeAnalytique; 
        }, 
        {
            destination = Convention; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = conOrdre; sourceAttribute = convOrdre; }); 
            name = convention; 
        }, 
        {
            destination = "ca_LolfNomenclatureDepense"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = lolfId; sourceAttribute = lolfId; }); 
            name = lolf; 
        }, 
        {
            destination = "ca_Organ"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = organ; 
        }, 
        {
            destination = PafAgent; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pageId; sourceAttribute = pageId; }); 
            name = pafAgent; 
        }, 
        {
            destination = "ca_TypeCredit"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcdOrdre; sourceAttribute = tcdOrdre; }); 
            name = typeCredit; 
        }
    ); 
}
